Subject: [Gen-art] Gen-ART LC Review of draft-ietf-avtcore-srtp-vbr-audio-04

From: Ben Campbell <[email-masked]>
Date: Mon, 23 Jan 2012 16:24:02 -0600

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-avtcore-srtp-vbr-audio-04
Reviewer: Ben Campbell
Review Date: 2012-01-23
IETF LC End Date: 2012-01-23

Summary: This draft is ready for publication as a proposed standard.

Note: I performed a gen-art review on revision 3 of this draft in a previous last call. My understanding is that the draft has been last called again due to the change from BCP to PS. I had no substantive concerns in that version, and see no new substantive concerns in this version.

Major issues: None

Minor issues: None

Nits/editorial comments:

-- The draft status still says BCP

-- section 5, 1st paragraph, 2nd to last sentence: "...but the amount of padding needed to hide the variation in packet size will depend on the 
codec), codec and the sophistication of the attacker),... "

Perhaps we should just assume the attacker is reasonably sophisticated by current standards? I assume you don't expect an implementer to guess how sophisticated a potential attack may be in advance--unless that is somehow a function of the value of the content?